org.apache.commons.math3.util

## Enum ResizableDoubleArray.ExpansionMode

- java.lang.Object
- - java.lang.Enum<ResizableDoubleArray.ExpansionMode>
  - - org.apache.commons.math3.util.ResizableDoubleArray.ExpansionMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ResizableDoubleArray.ExpansionMode>
  Enclosing class:
    ResizableDoubleArray

      public static enum ResizableDoubleArray.ExpansionMode
      extends java.lang.Enum<ResizableDoubleArray.ExpansionMode>

  Specification of expansion algorithm.
  Since:
    3.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDITIVE` Additive expansion mode.
    `MULTIPLICATIVE` Multiplicative expansion mode.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResizableDoubleArray.ExpansionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ResizableDoubleArray.ExpansionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MULTIPLICATIVE

          public static final ResizableDoubleArray.ExpansionMode MULTIPLICATIVE

      Multiplicative expansion mode.

    - #### ADDITIVE

          public static final ResizableDoubleArray.ExpansionMode ADDITIVE

      Additive expansion mode.

  - ### Method Detail

    - #### values

          public static ResizableDoubleArray.ExpansionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResizableDoubleArray.ExpansionMode c : ResizableDoubleArray.ExpansionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResizableDoubleArray.ExpansionMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (c) 2003-2013 Apache Software Foundation